# @astrojs/prefetch

## 0.1.1

### Patch Changes

- [#5244](https://github.com/withastro/astro/pull/5244) [`6ad91bd80`](https://github.com/withastro/astro/commit/6ad91bd80dae935b67a5c18b8dfbb95f2cfe10ef) Thanks [@deeprobin](https://github.com/deeprobin)! - Do not prefetch if browser is offline or uses 3G

- [#5271](https://github.com/withastro/astro/pull/5271) [`b6afe2c1d`](https://github.com/withastro/astro/commit/b6afe2c1db613aabf3139fb58e0fc2ab60322f37) Thanks [@tony-sull](https://github.com/tony-sull)! - Adds additional package.json keywords used for discoverability in the Integrations catalog

## 0.1.0

### Minor Changes

- [#5125](https://github.com/withastro/astro/pull/5125) [`5a674f976`](https://github.com/withastro/astro/commit/5a674f976d6138ec5c87441a579c2ccf37713e73) Thanks [@Jelenkee](https://github.com/Jelenkee)! - Prefetch CSS files once

## 0.0.8

### Patch Changes

- [#5009](https://github.com/withastro/astro/pull/5009) [`92b27e9c9`](https://github.com/withastro/astro/commit/92b27e9c9253cea3d00f1f81223de19ff75c2c74) Thanks [@panwauu](https://github.com/panwauu)! - Prevents prefetching the current page

## 0.0.7

### Patch Changes

- [#4207](https://github.com/withastro/astro/pull/4207) [`ceb0eef94`](https://github.com/withastro/astro/commit/ceb0eef944f2f867cb2dba04adfb6b028cf8c228) Thanks [@jablonski](https://github.com/jablonski)! - Use `passive` event listeners for performance

## 0.0.6

### Patch Changes

- [#4004](https://github.com/withastro/astro/pull/4004) [`ef9c4152b`](https://github.com/withastro/astro/commit/ef9c4152b2b399e25bf4e8aa7b37adcf6d0d8f17) Thanks [@sarah11918](https://github.com/sarah11918)! - [READMEs] removed "experimental" from astro add instructions

## 0.0.5

### Patch Changes

- [#3885](https://github.com/withastro/astro/pull/3885) [`bf5d1cc1e`](https://github.com/withastro/astro/commit/bf5d1cc1e71da38a14658c615e9481f2145cc6e7) Thanks [@delucis](https://github.com/delucis)! - Integration README fixes

## 0.0.4

### Patch Changes

- [#3865](https://github.com/withastro/astro/pull/3865) [`1f9e4857`](https://github.com/withastro/astro/commit/1f9e4857ff2b2cb7db89d619618cdf546cd3b3dc) Thanks [@delucis](https://github.com/delucis)! - Small README fixes

* [#3854](https://github.com/withastro/astro/pull/3854) [`b012ee55`](https://github.com/withastro/astro/commit/b012ee55b107dea0730286263b27d83e530fad5d) Thanks [@bholmesdev](https://github.com/bholmesdev)! - [astro add] Support adapters and third party packages

## 0.0.3

### Patch Changes

- [#3778](https://github.com/withastro/astro/pull/3778) [`91635f05`](https://github.com/withastro/astro/commit/91635f05df207d33ee8b50a2afe970b94b24ba7b) Thanks [@hippotastic](https://github.com/hippotastic)! - Fix integration name (`prefetch` instead of `lit`)

## 0.0.2

### Patch Changes

- [#3736](https://github.com/withastro/astro/pull/3736) [`bd4dac0e`](https://github.com/withastro/astro/commit/bd4dac0e1a8598045f10c42faf08abff96ed6766) Thanks [@tony-sull](https://github.com/tony-sull)! - Adds a new `@astrojs/prefetch` integration with the goal of adding near-instant page navigation for Astro projects. HTML and CSS for visible links marked with `rel="prefetch"` will be preloaded in the browser when the browser is idle.

  **astro.config.mjs**

  ```js
  import prefetch from '@astrojs/prefetch';
  export default {
    // ...
    integrations: [prefetch()],
  };
  ```

  ```html
  <!-- Prefetch HTML and stylesheets for the /products page -->
  <a href="/products" rel="prefetch">All Products</a>
  ```
